/*
 * 3DS OUTSCALE API
 *
 * Welcome to the OUTSCALE API documentation.<br /><br />  The OUTSCALE API enables you to manage your resources in the OUTSCALE Cloud. This documentation describes the different actions available along with code examples.<br /><br />  Note that the OUTSCALE Cloud is compatible with Amazon Web Services (AWS) APIs, but some resources have different names in AWS than in the OUTSCALE API. You can find a list of the differences [here](https://wiki.outscale.net/display/EN/3DS+OUTSCALE+APIs+Reference).<br /><br />  You can also manage your resources using the [Cockpit](https://wiki.outscale.net/display/EN/About+Cockpit) web interface.
 *
 * API version: 1.15
 * Contact: support@outscale.com
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package osc

// Phase1Options Information about Phase 1 of the Internet Key Exchange (IKE) negotiation. When Phase 1 finishes successfully, peers proceed to Phase 2 negotiations.
type Phase1Options struct {
	// The action to carry out after a Dead Peer Detection (DPD) timeout occurs.
	DpdTimeoutAction string `json:"DpdTimeoutAction,omitempty"`
	// The maximum waiting time for a Dead Peer Detection (DPD) response before considering the peer as dead, in seconds.
	DpdTimeoutSeconds int32 `json:"DpdTimeoutSeconds,omitempty"`
	// The Internet Key Exchange (IKE) versions allowed for the VPN tunnel.
	IkeVersions []string `json:"IkeVersions,omitempty"`
	// The Diffie-Hellman (DH) group numbers allowed for the VPN tunnel for phase 1.
	Phase1DhGroupNumbers []int32 `json:"Phase1DhGroupNumbers,omitempty"`
	// The encryption algorithms allowed for the VPN tunnel for phase 1.
	Phase1EncryptionAlgorithms []string `json:"Phase1EncryptionAlgorithms,omitempty"`
	// The integrity algorithms allowed for the VPN tunnel for phase 1.
	Phase1IntegrityAlgorithms []string `json:"Phase1IntegrityAlgorithms,omitempty"`
	// The lifetime for phase 1 of the IKE negotiation process, in seconds.
	Phase1LifetimeSeconds int32 `json:"Phase1LifetimeSeconds,omitempty"`
	// The number of packets in an IKE replay window.
	ReplayWindowSize int32 `json:"ReplayWindowSize,omitempty"`
	// The action to carry out when establishing tunnels for a VPN connection.
	StartupAction string `json:"StartupAction,omitempty"`
}
